<?php

namespace App\Models;

class Utils {

    // El INPUT es un string de forma 'hh:mm' con hh entre 00 y 23 y mm entre 00 y 59
    // El OUTPUT es un int
    public static function formatMinutos($horaMinuto) {
        $hora_minuto_array = explode(':', $horaMinuto);
        $horas = (int) $hora_minuto_array[0];
        $minutos = (int) $hora_minuto_array[1];
        $cantMinutos = ($horas*60) + $minutos;
        return $cantMinutos;
    }

    // El INPUT es un int > 0.
    // El OUTPUT es un string de forma 'hh:mm' con hh entre 00 y 23 y mm entre 00 y 59
    public static function parseHora($cantMinutos) {
        $horas = floor($cantMinutos / 60);
        if ($horas < 10) $horas = '0' . $horas;
        $minutos = $cantMinutos % 60;
        if ($minutos < 10) $minutos = '0' . $minutos;
        return $horas . ':' . $minutos;
    }

}
